- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 98bdeab1-a7e5-4525-b7a8-af23524303ca
    creation_time: 2023-02-17T12:12:17.846848Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gj2007.c
      input_file_hashes:
        c/loop-lit/gj2007.c: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gj2007.c
    file_hash: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
    line: 9
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string:  ( x < y && y == 50 || x == y && y >= 50 )  && x <= 100
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2751af4e-2458-41ed-8be3-afca22de8943
    creation_time: 2023-02-17T12:12:17.847152Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gj2007.c
      input_file_hashes:
        c/loop-lit/gj2007.c: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gj2007.c
    file_hash: 97d96c66f944ae26b62a4d7712ec0a631197f6676f93297b189223964e5f944c
    line: 17
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: y == 100
    type: assertion
    format: C

